// Header for SD_IXFunctions.c

typedef int IXComparator (const void *data1,  unsigned short length1, const void *data2, unsigned short length2, const void *context);

typedef int SDComparator (id obj1, id obj2, void *context);

int SDCompareIntegers (id obj1, id obj2, void *context);
int SDCompareStrings(id data1, id data2, void *context);
int SDCompareMonocaseStrings(id data1, id data2, void *context);
int IXCompareMonocaseStrings(const void *data1, unsigned short length1, const void *data2, unsigned short length2, const void *context);
int SDCompareMonocaseStringData (id obj1, id obj2, void *context);
int SDCompareStringData (id obj1, id obj2, void *context);
int SDCompareUnsignedLongs (id obj1, id obj2, void *context);
int IXCompareUnsignedLongs(const void *data1, unsigned short length1, const void *data2, unsigned short length2, const void *context);
int IXCompareDouble(const void *data1, unsigned short length1, const void *data2, unsigned short length2, const void *context);
int IXCompareLong(const void *data1, unsigned short length1, const void *data2, unsigned short length2, const void *context);
int IXCompareFloat(const void *data1, unsigned short length1, const void *data2, unsigned short length2, const void *context);

int SDCompareCombo (id obj1, id obj2, void *context);


