///////////////////////////////////////////////////////////////////////////
//
//	SDEntry
//		kaj: Jun 10 1997
//		Purpose: object for entry in SDStoreDirectory
//
///////////////////////////////////////////////////////////////////////////


@interface SDEntry:NSObject

{
    NSString *name;
    NSString *classname;
    Class theClass;
    id theObject;
    SDStore *storeFile;
    int blockNumber;
}

- initWithName:(NSString *)aName class:(Class)aClass forStoreFile:(id) aStoreFile;
- (void)encodeWithCoder:(NSCoder *)aCoder;
- (id) initWithCoder:(NSCoder *)aDecoder;
- (id) theObject;
- (void) setStoreFile:(SDStore *)aStoreFile;
- (int) blockNumber;
- (void) freeObjectFromBlock;

@end