///////////////////////////////////////////////////////////////////////////
//
//	SDStoreDirectory
//		kaj: Jun 4 1997
//		Purpose: cover for IXStoreDirectory methods
//
///////////////////////////////////////////////////////////////////////////


@interface SDStoreDirectory:NSObject

{
    NSMutableDictionary *entries;
    SDStore *storeFile;
    BOOL dirty;
    int blockNumber;
}

- initInStore:(SDStore *)aStoreFile;
- (id) initFromBlock: (unsigned int) blockNo inStore: (SDStore *) aStoreFile ;
- (id) openEntryNamed: (NSString *)aName ;
- (BOOL) hasEntryNamed: (NSString *)aName ;
- (id) addEntryNamed: (NSString *)aName ofClass:(Class)aClass ;
- (void) freeEntryNamed: (NSString *)aName;
- (NSArray *) entries;
- (void) getBlock:(unsigned int *)aBlock andStore:(SDStore **)aStore;

- (void) commitTransaction;

@end
