///////////////////////////////////////////////////////////////////////////
//
//	SDStoreFile
//		kaj: Jun 4 1997
//		Purpose: cover for IXStoreFile methods
//
///////////////////////////////////////////////////////////////////////////

@class SDStoreDirectory;

@interface SDStoreFile:SDStore



{
    BOOL allowWriting;
    NSString *filename;
    NSString *pplFileName;
    NSPPL *ppl;
}

- (id) initWithFile: (NSString *)aFilename;
- (id) initFromFile: (NSString *)aFilename forWriting: (BOOL) writeFlag;
- (void) createBlock:(int *)blockNumber withSize:(unsigned int)aSize;

- (NSString *)filename;

@end
